package com.crm.rely.backend.core.enums;

/**
 * 常用的状态管理
 *
 * @author y
 * @create 2022/1/21
 */
public enum SalesKpiStandardType {


    NET(1, "NET"),
    DEPOSIT(2, "DEPOSIT");


    private final Integer code;
    private final String desc;

    SalesKpiStandardType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static SalesKpiStandardType matchCode(Integer code) {
        for (SalesKpiStandardType type : SalesKpiStandardType.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
